## r-cran-worrms 0.2.0

=== DESCRIPTION ===
Package: worrms
Type: Package
Title: World Register of Marine Species (WoRMS) Client
Description: Client for World Register of Marine Species 
    (<http://www.marinespecies.org/>). Includes functions for each
    of the API methods, including searching for names by name, date and
    common names, searching using external identifiers, fetching
    synonyms, as well as fetching taxonomic children and 
    taxonomic classification.
Version: 0.2.0
Authors@R: c(person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com"))
License: MIT + file LICENSE
URL: https://github.com/ropensci/worrms
BugReports: https://github.com/ropensci/worrms/issues
LazyData: true
VignetteBuilder: knitr
Imports: crul (>= 0.3.6), tibble (>= 1.2), jsonlite (>= 1.1),
        data.table
Suggests: roxygen2 (>= 6.0.1), knitr, testthat
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-08-24 21:29:00 UTC; sacmac
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2017-08-24 21:50:15 UTC

## r-cran-worrms 0.1.0

=== debian/changelog ===
r-cran-worrms (0.1.0-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Sep 2017 12:48:35 +0000

r-cran-worrms (0.1.0-1) unstable; urgency=medium

  * Initial release (closes: #851958)

 -- Andreas Tille <tille@debian.org>  Fri, 20 Jan 2017 12:42:46 +0100

=== debian/control ===
Source: r-cran-worrms
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-tibble,
               r-cran-jsonlite (>= 1.1),
               r-cran-crul
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-worrms/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-worrms/trunk/
Homepage: https://cran.r-project.org/package=worrms

Package: r-cran-worrms
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R client of World Register of Marine Species (WoRMS)
 Client for World Register of Marine Species
 (<http://www.marinespecies.org/>). Includes functions for each
 of the API methods, including searching for names by name, date and
 common names, searching using external identifiers, fetching
 synonyms, as well as fetching taxonomic children and
 taxonomic classification.

## r-cran-worrms 0.2.0

=== debian/changelog ===
r-cran-worrms (0.2.0-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * Build-Depends: r-cran-data.table

 -- Andreas Tille <tille@debian.org>  Mon, 02 Oct 2017 13:13:05 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev,
+               r-cran-data.table,
                r-cran-tibble,
-               r-cran-jsonlite (>= 1.1),
+               r-cran-jsonlite,
                r-cran-crul
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-worrms/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-worrms/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-worrms.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-worrms.git
 Homepage: https://cran.r-project.org/package=worrms
 
 Package: r-cran-worrms

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/worrms_([-\d.]*)\.tar\.gz

## r-cran-worrms 0.2.8+dfsg

=== debian/changelog ===
r-cran-worrms (0.2.8+dfsg-1) unstable; urgency=medium

  * Add missing test depends: r-cran-vcr
    Closes: #900083
  * Rebuild for R 3.5 transition
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 21:57:57 +0200

r-cran-worrms (0.2.8-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 22 May 2018 09:47:37 +0200

=== debian/control ===
Source: r-cran-worrms
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-crul,
               r-cran-tibble,
               r-cran-jsonlite,
               r-cran-data.table
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-worrms
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-worrms.git
Homepage: https://cran.r-project.org/package=worrms

Package: r-cran-worrms
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R client of World Register of Marine Species (WoRMS)
 Client for World Register of Marine Species
 (<http://www.marinespecies.org/>). Includes functions for each
 of the API methods, including searching for names by name, date and
 common names, searching using external identifiers, fetching
 synonyms, as well as fetching taxonomic children and
 taxonomic classification.

## r-cran-worrms 0.3.2+dfsg

=== debian/changelog ===
r-cran-worrms (0.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jan 2019 10:52:59 +0100

r-cran-worrms (0.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 26 Nov 2018 08:46:53 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-tibble,
                r-cran-jsonlite,
                r-cran-data.table
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-worrms
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-worrms.git
 Homepage: https://cran.r-project.org/package=worrms

## r-cran-worrms 0.4.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-crul,

## r-cran-worrms 0.4.0+dfsg

=== DESCRIPTION ===
Package: worrms
Type: Package
Title: World Register of Marine Species (WoRMS) Client
Description: Client for World Register of Marine Species
    (<http://www.marinespecies.org/>). Includes functions for each
    of the API methods, including searching for names by name, date and
    common names, searching using external identifiers, fetching
    synonyms, as well as fetching taxonomic children and
    taxonomic classification.
Version: 0.4.0
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com",
    comment = c(ORCID = "0000-0003-1444-9135"))
License: MIT + file LICENSE
URL: https://github.com/ropensci/worrms
BugReports: https://github.com/ropensci/worrms/issues
LazyData: true
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
Imports: crul (>= 0.6.0), tibble (>= 1.2), jsonlite (>= 1.1),
        data.table
Suggests: roxygen2 (>= 6.1.1), knitr, testthat, vcr (>= 0.2.0)
RoxygenNote: 6.1.1
X-schema.org-applicationCategory: Biology
X-schema.org-keywords: biology, science, marine, API, web, api-client,
        worms, species
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2019-06-27 16:31:43 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2019-06-28 06:00:04 UTC

=== debian/changelog ===
r-cran-worrms (0.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 16:21:35 +0200

## r-cran-worrms 0.4.2%2Bdfsg

=== debian/changelog ===
r-cran-worrms (0.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 Jul 2020 09:39:36 +0200

r-cran-worrms (0.4.0+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 17:23:45 +0200

## r-cran-worrms 0.4.2+dfsg

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-crul,
                r-cran-tibble,
                r-cran-jsonlite,
                r-cran-data.table
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-worrms
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-worrms.git
 Homepage: https://cran.r-project.org/package=worrms
+Rules-Requires-Root: no
 
 Package: r-cran-worrms
 Architecture: all

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/worrms_([-\d.]*)\.tar\.gz

## r-cran-worrms 0.4.3%2Bdfsg

=== DESCRIPTION ===
Package: worrms
Type: Package
Title: World Register of Marine Species (WoRMS) Client
Description: Client for World Register of Marine Species
    (<https://www.marinespecies.org/>). Includes functions for each
    of the API methods, including searching for names by name, date and
    common names, searching using external identifiers, fetching
    synonyms, as well as fetching taxonomic children and
    taxonomic classification.
Version: 0.4.3
Authors@R: c(
    person("Scott", "Chamberlain", role = "aut",
        email = "myrmecocystus@gmail.com",
        comment = c(ORCID = "0000-0003-1444-9135")),
    person("Bart", "Vanhoorne.", email = "bart.vanhoorne@vliz.be", role = c("aut","cre"))
    )
License: MIT + file LICENSE
URL: https://docs.ropensci.org/worrms/,
        https://github.com/ropensci/worrms (devel), https://taxize.dev
        (user manual)
BugReports: https://github.com/ropensci/worrms/issues
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
Imports: crul (>= 0.6.0), tibble (>= 1.2), jsonlite (>= 1.1),
        data.table
Suggests: roxygen2 (>= 7.1.0), knitr, rmarkdown, testthat, vcr (>=
        0.2.0)
RoxygenNote: 7.2.3
X-schema.org-applicationCategory: Biology
X-schema.org-keywords: biology, science, marine, API, web, api-client,
        worms, species
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2023-06-19 13:35:39 UTC; salvadorf
Author: Scott Chamberlain [aut] (<https://orcid.org/0000-0003-1444-9135>),
  Bart Vanhoorne. [aut, cre]
Maintainer: Bart Vanhoorne. <bart.vanhoorne@vliz.be>
Repository: CRAN
Date/Publication: 2023-06-20 14:00:02 UTC

=== debian/changelog ===
r-cran-worrms (0.4.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 21:24:23 +0200

## r-cran-worrms 0.4.3+dfsg

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-tibble,
                r-cran-jsonlite,
                r-cran-data.table
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-worrms
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-worrms.git
 Homepage: https://cran.r-project.org/package=worrms

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-vcr
Restrictions: allow-stderr
